apt-mirror (0.5.4-1+11.0trisquel6~ubuntu0.22.04.1) aramo; urgency=medium

  * Added config and update manpage for Trisquel.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 22 Feb 2026 09:21:14 +0000

apt-mirror (0.5.4-1ubuntu0.22.04.1) jammy; urgency=medium

  * Download cnf files  (LP: #1825755)
    - Adds support for xz files
    - d/p/Support-for-xz-translations.patch
    - d/p/Download-cnf-Files.patch

 -- Heather Lemon <heather.lemon@canonical.com>  Tue, 30 Jan 2024 22:50:26 +0000

apt-mirror (0.5.4-1) unstable; urgency=medium

  * New upstream bug-fix release.
    - Fix use of uninitialized value $config{"options"} warning
      (Closes: #851979, #859601)
    - Fix warning on repository without md5sum
    - Write SHA1 and SHA256 in addition to MD5
    - Also download xz-compressed Components-$arch.yml.xz

 -- Benjamin Drung <bdrung@debian.org>  Mon, 29 May 2017 14:02:33 +0200

apt-mirror (0.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Add support for 'deb [arch=amd64] ...' format
    - Create directories including their parents
    - Add support for quoted variables with spaces

 -- Benjamin Drung <bdrung@debian.org>  Fri, 06 Jan 2017 17:46:06 +0100

apt-mirror (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix spelling tranlation -> translation (Closes: #756035, LP: #1455522)
    - Replace obsolete dpkg option '--print-installation-architecture'
      by '--print-architecture' (Closes: #834106)
    - Download DEP-11 files in component/dep11 directories (LP: #1550852)
    - Support non-existing .gz index files (Closes: #819974)
    - Just test that config file is readable (Closes: #824493)
  * Drop indirect dependency perl-modules
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Use secure HTTPS for git URIs

 -- Benjamin Drung <bdrung@debian.org>  Wed, 09 Nov 2016 13:02:06 +0100

apt-mirror (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 12 Apr 2014 21:35:44 +0200

apt-mirror (0.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Removed restrictions when parsing deb-$arch (LP: #913837)
    - Download all provided translation files instead of trying to download
      translation files based on a hard-coded language list. (Closes: #725762)
    - Fix typos (Closes: #736904, LP: #1211097).
    - Mirror Contents-*.gz for each component. (Closes: #647301)
  * Use Makefile for installation.
  * Bump Standards-Version to 3.9.5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Feb 2014 15:42:22 +0100

apt-mirror (0.4.9-1) unstable; urgency=low

  * New upstream release.
  * Use current canonical URI for VCS-* fields.
  * Update Homepage field and debian/watch file.
  * Drop all patches (all accepted upstream).
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9.
  * Rewrite copyright in copyright-format 1.0.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 04 Mar 2013 23:40:50 +0100

apt-mirror (0.4.8-6) unstable; urgency=low

  * Fix regex problem: arm overrides armhf. Thanks to hawken. (Closes: #682395)
  * Bump Standard-Version to 3.9.3 (no changes needed).
  * Add support for HTTPS with basic HTTP authentication. Thanks to Pali
    for the patch. (LP: #1015131)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 27 Jul 2012 00:51:30 +0200

apt-mirror (0.4.8-5) unstable; urgency=low

  * Improve lock file handling to avoid false "apt-mirror is already running"
    messages. Thanks to Ivan Borzenkov <ivan1986@list.ru>
    (Closes: #589167, LP: #424462)
  * Create directories after config is parsed.
    Thanks to Rob Verduijn (Closes: #619353, LP: #727011)
  * Support armhf, kfreebsd-* and s390x arch. (Closes: #644630)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 28 Jan 2012 14:27:12 +0100

apt-mirror (0.4.8-4) unstable; urgency=low

  [ Benjamin Drung ]
  * Update my email address.

  [ Jeremy T. Bouse ]
  * Fix braindead build environments (closes: #634591)
  * Update Standards-Version (no changes made)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 24 Jul 2011 21:04:19 -0400

apt-mirror (0.4.8-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes required).
  * Add a shebang line to clean.sh (LP: #649364).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Sep 2010 23:53:54 +0200

apt-mirror (0.4.8-2) unstable; urgency=low

  * Updated Standards-Version to 3.9.0
  * debian/postrm: Clean-up auto-generated files on purge (Closes:
    #455106)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 18 Jul 2010 00:13:02 -0400

apt-mirror (0.4.8-1) unstable; urgency=low

  * New Upstream version 0.4.8
  * Fixed email addresses in debian/copyright

 -- Brandon Holtsclaw <me@brandonholtsclaw.com>  Sun, 02 May 2010 18:10:53 -0500

apt-mirror (0.4.7-1) unstable; urgency=low

  [ Brandon Holtsclaw ]
  * New Upstream Release
  * all patches applied upstream and fixes the following Debian bugs
    (Closes: #457714, #484876, #387595, #483100, #570629, #576141, #570632)
  * Updated debian/watch file

  [ Jeremy T. Bouse ]
  * Add git-buildpackage config file
  * Initial run to clean existing lintian warnings

  [ Benjamin Drung ]
  * Drop cdbs and switch to dh 7.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add missing ${perl:Depends}.
  * Add myself to uploaders.
  * Restructure debian/postinst.
  * Set codename on compile time.

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 19 Apr 2010 14:48:15 -0400

apt-mirror (0.4.6-0ubuntu4) lucid; urgency=low

  * Add 03-clean-lock-file.patch to delete the lock file on every exit
    (LP: #424462).
  * Update default config to mention lucid (LP: #551605).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 23:20:51 +0200

apt-mirror (0.4.6-0ubuntu3) karmic; urgency=low

  * Switch to cdbs and add simple-patchsys.
  * Add patches again and refresh them:
    - debian/patches/01-ubuntu-mirror-bz2.patch (LP: #184063)
    - debian/patches/02-fix-invalid-dirhandle.patch (LP: #244613)
  * Install upstream changelog.
  * Refer to versioned copyright file.
  * Bump Debian standards version to 3.8.3, no changes needed.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Oct 2009 16:29:23 +0200

apt-mirror (0.4.6-0ubuntu2) karmic; urgency=low

  * Readd dropped changelog entries.
  * Reapply changes, which were dropped with 0.4.6-0ubuntu1:
    - debian/Ubuntu-mirror.list: fix typo (privlages -> privileges)
    - debian/rules: Move binary-arch commands to binary-indep
    - debian/control:
      - remove homepage from description
      - Update Maintainer field
  * debian/Debian-mirror.list: fix typo (privlages -> privileges)
  * debian/Ubuntu-mirror.list: update distribution to karmic (LP: #378836)
  * Remove dpatch (there is no patch to apply)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 May 2009 11:41:34 +0200

apt-mirror (0.4.6-0ubuntu1) karmic; urgency=low

  * New Upstream Release
  * updated debian/*-mirror.list to reflect new upsteam options
  * added postmirror.sh creation and configuration options
  * added file locking, more than one apt-mirror instance cant run at once

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Thu, 27 Dec 2007 01:55:18 -0600

apt-mirror (0.4.5-1ubuntu2) jaunty; urgency=low

  * Add 02-fix-invalid-dirhandle.dpatch (LP: #244613)
  * debian/Ubuntu-mirror.list:
    - fix typo (privlages -> privileges)
    - update distribution to jaunty
  * debian/rules: Move binary-arch commands to binary-indep
  * debian/control:
    - remove homepage from description
    - bump Debian standards version to 3.8.0, no changes needed

 -- Benjamin Drung <benjamin.drung@gmail.com>  Sat, 01 Nov 2008 20:41:20 +0100

apt-mirror (0.4.5-1ubuntu1) intrepid; urgency=low

  * Add 01-ubuntu-mirror-bz2.patch (LP: #184063)
  * Bump Debian standards version to 3.7.3, no changes needed

 -- David Futcher <bobbocanfly@gmail.com>  Thu, 27 Mar 2008 14:20:06 +0000

apt-mirror (0.4.5-1) unstable; urgency=low

  * new upstream release
  * modified watchfile to report the proper version
  * removed all patches, applied upstream
  * new upstream fixes LP: #172454
  * get-orig-source updated
  * Removed DM-Upload-Allowed field from debian/control
  * Removed Rudy Godoy from Uploaders field

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Thu, 30 Nov 2007 17:31:37 -0600

apt-mirror (0.4.4+debian-2) unstable; urgency=low

  * added 04_double_tilde patch to not clean files with two
    tildes when clean.sh is run
  * added debian and ubuntu specific mirror.list files and install them
    depending on lsb_release -si at build time

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Sun, 25 Nov 2007 19:25:15 -0600

apt-mirror (0.4.4+debian-1) unstable; urgency=low

  * added 01_cache_stat.dpatch (Closes: #387304)
  * updated debian watch (Closes: #449817)
  * repacked the upstream tarbal not to include a debian/ dir
  * added the DM-Upload-Allowed field to debian control
  * broke existing changes from upstream into patches ( dpatch )
    added 02_manpage-updates.dpatch and 03_sizeoutput.dpatch from
    previous uploads

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Mon, 19 Nov 2007 09:09:44 -0600

apt-mirror (0.4.4-5) unstable; urgency=low

  * Fixed typos in the Man page (Closes: #413795) and (Closes: #413796) 
  * apt-mirror no longer cleans out all files with tilde in file name when 
    clean.sh is run (Closes: #414866)

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Mon, 23 Apr 2007 03:09:14 -0500

apt-mirror (0.4.4-4) unstable; urgency=low

  * Fixed typos in the Package Description and Man page (Closes: #385645)
  * Added "set _tilde 0" to default config to allow proper download of 
    mirrors with a tilde in the url or package name (Closes: #386162)

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Thu,  7 Sep 2006 21:06:27 -0500

apt-mirror (0.4.4-3) unstable; urgency=low

  * Added the GPL preamble to debian/copyright 
  * Raised debhelper compat to 5 from 3 
  * Changed download and clean.sh size calculations to return human readable output ( KiB,MiB,GiB vs bytes )
  * added clean.sh to postinstall to make it +x on install
  * Added debian/watch
  * Closes RFP Bug 293048 (Closes: #293048)

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Wed, 09 Aug 2006 06:08:26 -0500

apt-mirror (0.4.4-2) unstable; urgency=low

  * Bugfix: default architecture identification on non-debian systems v2

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Tue, 11 Oct 2005 15:33:27 +0700

apt-mirror (0.4.4-1) unstable; urgency=low

  * Bugfix: default architecture identification on non-debian systems
  * New architectures added: amd64, hurd-i386, sh
  * New configuration options

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat,  8 Oct 2005 15:33:27 +0700

apt-mirror (0.4.3-2) unstable; urgency=low

  * Minor fixes in cleanup section

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat, 20 Jul 2003 13:24:01 +0700

apt-mirror (0.4.3-1) unstable; urgency=low

  * Fixes in ports processing

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat,  8 Jul 2003 13:35:19 +0700

apt-mirror (0.4.3-0) unstable; urgency=low

  * Fixes allows "~" usage in sources URLs

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat,  7 Jul 2003 16:27:29 +0700

apt-mirror (0.4.2-0) unstable; urgency=low

  * Fixes allows explicitly specify port in sources URLs

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat,  5 Jul 2003 16:32:59 +0700

apt-mirror (0.4.1-0) unstable; urgency=low

  * Improvements in cleanup code
  * Small bugfixes in index parser

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sun, 29 Jun 2003 19:44:30 +0700

apt-mirror (0.3.0-2) unstable; urgency=low

  * Small bugfixes

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Mon,  5 Aug 2002 16:26:30 +0700

apt-mirror (0.3.0-1) unstable; urgency=low

  * Initial public release.

 -- Dmitry N. Hramtsov <hdn@nsu.ru>  Sat, 27 Jul 2002 12:44:33 +0700
